Main Page Namespace List Class Hierarchy Alphabetical List Data Structures File List Namespace Members Data Fields Globals

# ExManagerMap Class Reference

`#include <ExManagerMap.h>`

Inheritance diagram for ExManagerMap:

## Public Methods
void | Init (void)
void | Reset (void)
ExCAction | InputCommand (ExCCommand Command)
ExCAction | InputAction (ExCAction Action)
void | SetManagerId (ExManagerId *Id)
void | SetManagerTexture (ExManagerTexture *Texture)
void | LoadMap (const char *FileName)
void | Draw (void)
void | ShowSkybox (void)
void | HideSkybox (void)
void | ShowMesh (void)
void | HideMesh (void)
void | EnableOctree (void)
void | DisableOctree (void)
void | ShowOctreeSubdivision (void)
void | HideOctreeSubdivision (void)
## Static Public Methods
ExManagerMap * | CreateSingleton (void)
## Private Methods
| ExManagerMap (void)
| ~ExManagerMap (void)
## Private Attributes
ExManagerId * | ManagerId
ExManagerTexture * | ManagerTexture
ExCMap * | Map
bool | MapLoaded
## Static Private Attributes
bool | m_flag = false
ExManagerMap * | m_instance = NULL

## Constructor & Destructor Documentation

ExManagerMap | ( | void |  | ) | `[private]`

| Definition at line 43 of file ExManagerMap.cpp. References MapLoaded.
    00044 {
    00045         MapLoaded=false;
    00046 }

~ExManagerMap | ( | void |  | ) | `[private]`

| Definition at line 48 of file ExManagerMap.cpp.
    00049 {
    00050 }

## Member Function Documentation

ExManagerMap * CreateSingleton | ( | void |  | ) | `[static]`

| Definition at line 29 of file ExManagerMap.cpp. References CreateSingleton(), Guard, m_flag, and m_instance. Referenced by CreateSingleton(), and main().
    00029                                                {
    00030 Guard(ExManagerMap* ExManagerMap::CreateSingleton(void))
    00031         if(!m_flag)
    00032         {
    00033                 m_flag = true; // We are creating the error log now, so set flag to true
    00034                 m_instance = new ExManagerMap; // Create the error log
    00035         }else
    00036         {
    00037                 std::cout<<"Error singleton already created"<<std::endl;
    00038         }
    00039         return m_instance;
    00040 UnGuard
    00041 }

void DisableOctree | ( | void |  | ) | `[inline]`

| Definition at line 104 of file ExManagerMap.h. References ExCMap::EnableOctree(). Referenced by InputAction().
    00104 {Map->EnableOctree();}

void Draw | ( | void |  | ) |

| Definition at line 68 of file ExManagerMap.cpp. References ExCMap::Draw(), Draw(), Guard, and Map. Referenced by Draw(), and ExManagerOutput::DrawScene().
    00069 {
    00070 Guard(void ExManagerMap::Draw(void))
    00071         if(MapLoaded)
    00072         {
    00073                 Map->Draw();
    00074         }
    00075 UnGuard
    00076 }

void EnableOctree | ( | void |  | ) | `[inline]`

| Definition at line 103 of file ExManagerMap.h. References ExCMap::HideMesh(). Referenced by InputAction().
    00103 {Map->HideMesh();}

void HideMesh | ( | void |  | ) | `[inline]`

| Definition at line 102 of file ExManagerMap.h. References ExCMap::ShowMesh(). Referenced by InputAction().
    00102 {Map->ShowMesh();}

void HideOctreeSubdivision | ( | void |  | ) | `[inline]`

| Definition at line 106 of file ExManagerMap.h. References ExCMap::ShowOctreeSubdivision(). Referenced by InputAction().
    00106 {Map->ShowOctreeSubdivision();}

void HideSkybox | ( | void |  | ) | `[inline]`

| Definition at line 100 of file ExManagerMap.h. References ExCMap::ShowSkybox(). Referenced by InputAction().
    00100 {Map->ShowSkybox();}

void Init | ( | void |  | ) | `[inline, virtual]`

| Reimplemented from ExManager. Definition at line 88 of file ExManagerMap.h.
    00089 {};

ExCAction InputAction | ( | ExCAction | Action | ) | `[virtual]`

| Reimplemented from ExManager. Definition at line 85 of file ExManagerMap.cpp. References ExManager::Consol, DisableOctree(), EnableOctree(), Guard, HideMesh(), HideOctreeSubdivision(), HideSkybox(), InputAction(), ExCAction::m_Action, ExCAction::m_NextAction, ShowMesh(), ShowOctreeSubdivision(), and ShowSkybox(). Referenced by InputAction(), and ExManagerCommand::ProcesExCAction().
    00086 {
    00087 Guard(ExCAction ExManagerMap::InputAction(ExCAction Action))
    00088         switch(Action.m_Action)
    00089         {
    00090         case SHOW_MAP_SKY_BOX:ShowSkybox();break;
    00091         case HIDE_MAP_SKY_BOX:HideSkybox();break;
    00092         case SHOW_MAP_MESH:ShowMesh();break;
    00093         case HIDE_MAP_MESH:HideMesh();break;
    00094         case ENABLE_MAP_OCTREE:EnableOctree();break;
    00095         case DISABLE_MAP_OCTREE:DisableOctree();break;
    00096         case SHOW_MAP_OCTREE_SUBDIVISON:ShowOctreeSubdivision();break;
    00097         case HIDE_MAP_OCTREE_SUBDIVISON:HideOctreeSubdivision();break;
    00098
    00099         default:
    00100                 *Consol<<"Can not file action in MAP_ACTION_MAP"<<std::endl;
    00101                 break;
    00102         }
    00103         if(Action.m_NextAction){return *Action.m_NextAction;}
    00104         else{return NOTHING;}
    00105 UnGuard
    00106 }

ExCAction InputCommand | ( | ExCCommand | Command | ) | `[virtual]`

| Reimplemented from ExManager. Definition at line 78 of file ExManagerMap.cpp. References Guard, and InputCommand(). Referenced by InputCommand().
    00079 {
    00080 Guard(ExCAction ExManagerMap::InputCommand(ExCCommand Command))
    00081         return NOTHING;
    00082 UnGuard
    00083 }

void LoadMap | ( | const char * | FileName | ) |

| Definition at line 57 of file ExManagerMap.cpp. References ExManager::Consol, ExCMap::Consol, Guard, ExCMap::LoadMap(), LoadMap(), ManagerTexture, Map, MapLoaded, and ExCMap::SetManagerTexture(). Referenced by ExManagerCommand::InputAction(), LoadMap(), and ExManagerCommand::LoadSetOfFile().
    00058 {
    00059 Guard(ExManagerMap::LoadMap(const char * ))
    00060         Map=new ExCMap();
    00061         Map->SetManagerTexture(ManagerTexture);
    00062         Map->Consol=Consol;
    00063         Map->LoadMap(FileName);
    00064         MapLoaded=true;
    00065 UnGuard
    00066 }

void Reset | ( | void |  | ) | `[virtual]`

| Reimplemented from ExManager. Definition at line 52 of file ExManagerMap.cpp. References MapLoaded. Referenced by ExManagerCommand::ProcesExCAction().
    00053 {
    00054         MapLoaded=false;
    00055 }

void SetManagerId | ( | ExManagerId * | Id | ) | `[inline]`

| Definition at line 94 of file ExManagerMap.h. Referenced by SetManagerLink().
    00095 {ManagerId      = Id;}

void SetManagerTexture | ( | ExManagerTexture * | Texture | ) | `[inline]`

| Definition at line 95 of file ExManagerMap.h. References ManagerId. Referenced by SetManagerLink().
    00095 {ManagerId      = Id;}

void ShowMesh | ( | void |  | ) | `[inline]`

| Definition at line 101 of file ExManagerMap.h. References ExCMap::HideSkybox(). Referenced by InputAction().
    00101 {Map->HideSkybox();}

void ShowOctreeSubdivision | ( | void |  | ) | `[inline]`

| Definition at line 105 of file ExManagerMap.h. References ExCMap::DisableOctree(). Referenced by InputAction().
    00105 {Map->DisableOctree();}

void ShowSkybox | ( | void |  | ) | `[inline]`

| Definition at line 99 of file ExManagerMap.h. Referenced by InputAction().
    00100 {Map->ShowSkybox();}

## Field Documentation

bool m_flag = false`[static, private]`

| Definition at line 26 of file ExManagerMap.cpp. Referenced by CreateSingleton().

ExManagerMap * m_instance = NULL`[static, private]`

| Definition at line 27 of file ExManagerMap.cpp. Referenced by CreateSingleton().

ExManagerId* ManagerId`[private]`

| Definition at line 71 of file ExManagerMap.h.

ExManagerTexture* ManagerTexture`[private]`

| Definition at line 72 of file ExManagerMap.h. Referenced by LoadMap().

ExCMap* Map`[private]`

| Definition at line 73 of file ExManagerMap.h. Referenced by Draw(), and LoadMap().

bool MapLoaded`[private]`

| Definition at line 74 of file ExManagerMap.h. Referenced by ExManagerMap(), LoadMap(), and Reset().

The documentation for this class was generated from the following files:

- ExManagerMap.h
- ExManagerMap.cpp